View Issue Details

IDProjectCategoryView StatusLast Update
00305472.x IDE BugsGame OptionsPublic2019-02-27 15:28
ReporterDanAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030547: Game Options: Placeholder iPhone X XS/XR splash screens have not been linked-to
DescriptionIf you open Game Options > iOS > Splashes you will see the laceholder iPhone X XS/XR splash screens have not been linked-to and so you get a floppy disk image instead of a preview image. These missing splash screens are actually part of the base project, but if you open your ios_options.yy you will see we never link to these images on disk:

    "option_ios_splashscreen_iphone_xr_landscape": null,
    "option_ios_splashscreen_iphone_xr_portrait": null,
    "option_ios_splashscreen_iphone_xs_max_landscape": null,
    "option_ios_splashscreen_iphone_xs_max_portrait": null,
Steps To Reproduce1. Start GMS2 and create a new project.
2. Open Game Options > iOS > Images.
3. Scroll down a bit.
4. Observe all the floppy disks.
Repro: 100%
TagsIDE, igor
2.x IDE Found In2.2.2.393
2.x Runtime Found In2.2.2.308
2.x IDE Verified In2.2.2.396
2.x Runtime Verified In2.2.2.311

Activities

Dan

2019-02-21 14:49

Adminstrator  

Steven Campbell

2019-02-22 16:11

Manager   ~0063297

Fixed in Runner/GitLab Merge Request 1179
Git Id: 59e49bac431d57363f3bc18ccf60c96c633973f2

Dan

2019-02-25 11:39

Adminstrator   ~0063311

Runtime 309+

Scott Dunbar

2019-02-27 15:28

Adminstrator   ~0063371

Verified fixed, options linked and Floppy Disk images no longer showing. Closing

IDE: 2.2.2.396 Runtime: 2.2.2.311